Bug 70485 - glibc xdr_array appears to be vulnerable to the sunrpc vulnerability
glibc xdr_array appears to be vulnerable to the sunrpc vulnerability
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
7.3
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-01 14:03 EDT by Seth Vidal
Modified: 2016-11-24 09:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-02 10:55:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Seth Vidal 2002-08-01 14:03:49 EDT
in glibc 2.2.5-37 glibc/sunrpc/xdr_array.c line 84

It appears to be identical to the code that *bsd just patched like here:
ftp://ftp.openbsd.org/pub/OpenBSD/patches/3.1/common/012_xdr.patch

Is this a potential vulnerability?

I'm filing this as a security problem b/c it looks like it could be.
Comment 1 Mark J. Cox (Product Security) 2002-08-02 10:55:09 EDT
Errata in progress
Comment 2 Mark J. Cox (Product Security) 2002-08-13 07:45:05 EDT
RHSA-2002:166

Note You need to log in before you can comment on or make changes to this bug.